package model;

import java.io.File;
import java.util.LinkedList;

@SuppressWarnings("serial")
public class AlarmList extends LinkedList<Alarm> {
	private File file;
	private boolean changed;
	public AlarmList() {
		super();
		changed = false;
		file = null;
	}
	public boolean hasChanged() {
		return changed;
	}
	public void setChanged() {
		changed = true;
	}
	public boolean saveAs(File f) {
		file = f;
		changed = false;
		return true;
	}
	public boolean save() {
		changed = false;
		return true;
	}
	public boolean load(File f) {
		file = f;
		changed = false;
		return true;
	}
    public String fileName() {
        String name = (changed) ? "*" : "";
        if (file == null) name += "Sans nom";
        else name += file.getName();
        return name; 
    }
}
